Subject: bug#28471: closed (Re: bug#22629: Channels!)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Sep 2018 15:12:02 +0000

Your bug report

#22629: guix pull doesn't update the user manual

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22629: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22629
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22629: Channels!
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Sun, 02 Sep 2018 17:11:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] (Ludovic Courtès) skribis:

> [email-masked] (Ludovic Courtès) skribis:
>
>> The patches that follow implement this last bit, though in a slightly
>> different way.  Users would now have the option to provide
>> ~/.config/guix/channels.scm along these lines:
>>
>>   (cons (channel
>>          (name 'guix-hpc)
>>          (url "https://gitlab.inria.fr/guix-hpc/guix-hpc.git")
>>          (branch "origin/master"))
>>         %default-channels)
>
> What follows is version 2 of the patches, which I’d like to push within
> a day or two.  The main changes are:

I fixed a typo that would lead ‘--url’ to be ignored and pushed.
Please report any problems you may have!

I’m closing this 2.5-year old issue now.  :-)

Ludo’.

Subject: guix pull doesn't update the user manual
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Fri, 15 Sep 2017 16:39:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

guix pull should build and install the latest documentation of Guix to
the user profile so that `info guix' always displays the current
documentation.

This seems to confuse Guix users every now and then, myself included,
and the work around of cloning a full copy of the guix sources just to
build the manual is not user friendly nor trivial.